// combining throttle with pwm motor ctrl
//throttle check with multimeter and 5V dc supply
//https://www.youtube.com/watch?v=GDnI4HA_QyY


// pin number 9 for motor
// analog pin a0 for reading throttle value

int brake_left_pin = 7;
int brake_right_pin = 8;
int ignition_pin = 4;
//throttle is pin 5.
int pwm_motor = 6;           // the PWM pin dc motor is attached to

int led_pin = 3;

void setup() {
  //Serial.begin(9600);

  pinMode(led_pin, OUTPUT);
  pinMode(ignition_pin, INPUT_PULLUP);
  pinMode(brake_left_pin, INPUT_PULLUP);  
  pinMode(brake_right_pin, INPUT_PULLUP);  
  pinMode(pwm_motor, OUTPUT);
}

void loop() {

    if ((digitalRead(brake_left_pin) == LOW) || (digitalRead(brake_right_pin) == LOW) || (digitalRead(ignition_pin) == HIGH))// brake press or ignition off
    {
      digitalWrite(led_pin, HIGH);   //(HIGH is the voltage level)
      analogWrite(pwm_motor, 0);
      delay(100);                       
    }
    else
    {
      digitalWrite(led_pin, LOW);   //(LOW is the voltage level)
      delay(100);                       
  // read the throttle input on analog pin 0:
  int sensorValue = analogRead(A5);

  if (sensorValue < 168) {sensorValue = 168;} 
  if (sensorValue > 882) {sensorValue = 882;} 
  sensorValue = map(sensorValue, 168, 882, 0, 255);
  
  // print out the value you read:
  //Serial.println(sensorValue);
  //delay(1000);        // delay in between reads for stability

  analogWrite(pwm_motor, sensorValue);
  // wait for 30 milliseconds to see the dimming effect
  delay(30);
    }
}
